Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Interface PluginStart

Deprecated. Plugins should implement `PluginStart2` instead.

public interface PluginStart
extends PluginTemplateNode

The interface that a plugin must implement to define a new start node type.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `setTrigger(EventContext context, java.lang.String orgExpr)` Deprecated. Establish the event watch for this start node.

Methods inherited from interface com.bea.wlpi.server.plugin.PluginTemplateNode
`activate, fixup`

Methods inherited from interface com.bea.wlpi.common.plugin.PluginObject
`load`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### setTrigger

    public void setTrigger(EventContext context,
                           java.lang.String orgExpr)
                    throws WorkflowException

  Deprecated.
  Establish the event watch for this start node. The template definition calls this method when it is activated and saved. Plugins use this call to record an event watch to enable the event processor to match an incoming event datum to this particular node and template definition. Plugins can use the default event watch registration, addressed message handling and event matching facility simply by calling `EventContext.postStartWatch(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`. Plugins are responsible for recording the necessary information in a plugin-specific way, and for providing an event handler to perform the run-time matching based on these criteria. If the plugin does not rely on the WebLogic Process Integrator generic JMS event listener it is not required to provide an event handler.

  Parameters:
    `eventContext` - The start node context.
    `orgExpr` - The expression used to generate the ID of the organization in which to instantiate the workflow.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)